//
//  MemberTagApi.swift
//  SodaLive
//
//  Created by klaus on 2023/08/19.
//

import Foundation
import Moya

enum MemberTagApi {
    case getTags
}

extension MemberTagApi: TargetType {
    var baseURL: URL {
        return URL(string: BASE_URL)!
    }
    
    var path: String {
        switch self {
        case .getTags:
            return "/member/tag"
        }
    }
    
    var method: Moya.Method {
        switch self {
        case .getTags:
            return .get
        }
    }
    
    var task: Task {
        switch self {
        case .getTags:
            return .requestPlain
        }
    }
    
    var headers: [String : String]? {
        return ["Authorization": "Bearer \(UserDefaults.string(forKey: UserDefaultsKey.token))"]
    }
}
